package risc.gui;

import java.io.File;
import javax.swing.filechooser.FileFilter;

public class AsmFileFilter extends FileFilter {

    public static final String extension = "asm";
    
    public boolean accept(File file) {
        return file.isDirectory() ||
            file.getName().toLowerCase().endsWith("." + extension);
    }
    
    public String getDescription() {
        return "Assembly Files (*." + extension + ")";
    }

}
