package risc.syscall;

import risc.RISC;
import risc.emulator.Emulator;
import risc.emulator.SysCallHandler;

public abstract class AbstractHandler implements SysCallHandler {

    //########################################################################
    // SysCallHandler interface

    public int handle(int sc, int a, int b, Emulator emu)
        throws Emulator.Exception{
        throw new Emulator.Error("unknown system call: " + sc);
    }

    //########################################################################
}
